%--------------------------------------------------------------------------
% File     : CID001-0 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Circuit Design and Validation
% Axioms   : Substitution axioms for AND, OR and NOT
% Version  : 
% English  : 

% Refs     : [WO+92] Wos et al. (1992), Automated Reasoning: Introduction a
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   0 unit;   1 RR)
%            Number of literals   :   10 (  10 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Substitution axioms 
input_clause(and_substitution1,axiom,
    [--equal(D,E),
     ++equal(and(D,F),and(E,F))]).

input_clause(and_substitution2,axiom,
    [--equal(G,H),
     ++equal(and(I,G),and(I,H))]).

input_clause(or_substitution1,axiom,
    [--equal(V,W),
     ++equal(or(V,X),or(W,X))]).

input_clause(or_substitution2,axiom,
    [--equal(Y,Z),
     ++equal(or(A1,Y),or(A1,Z))]).

input_clause(not_substitution,axiom,
    [--equal(T,U),
     ++equal(not(T),not(U))]).
%--------------------------------------------------------------------------
