%--------------------------------------------------------------------------
% File     : BOO014-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and product (X+Y)^-1 = (X^-1) * (Y^-1)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob10.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.25 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;  18 unit;   6 RR)
%            Number of literals   :   33 (  33 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(a_plus_b_is_c,hypothesis,
    [++equal(add(a,b),c)]).

input_clause(a_inverse_times_b_inverse_is_d,hypothesis,
    [++equal(multiply(inverse(a),inverse(b)),d)]).

input_clause(prove_c_inverse_is_d,conjecture,
    [--equal(inverse(c),d)]).
%--------------------------------------------------------------------------
