%--------------------------------------------------------------------------
% File     : FLD060-1 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If b greater or equal b, then 2b greater or equal 2a
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.75 v2.2.1, 0.67 v2.1.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of literals   :   77 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(less_or_equal_3,conjecture,
    [++less_or_equal(a,b)]).

input_clause(not_less_or_equal_4,conjecture,
    [--less_or_equal(add(a,a),add(b,b))]).
%--------------------------------------------------------------------------
