%--------------------------------------------------------------------------
% File     : KRS007-1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 3a
% Version  : Especial.
% English  : f subsumes e.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 3(a) [PP95]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   26 (   4 non-Horn;   2 unit;  24 RR)
%            Number of literals   :   60 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   1 constant; 0-1 arity)
%            Number of variables  :   33 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exist)]).

input_clause(clause_2,conjecture,
    [--f(exist)]).

input_clause(clause_3,axiom,
    [++s2least(X1),
     --c(X1)]).

input_clause(clause_4,axiom,
    [++c(X1),
     --s2least(X1)]).

input_clause(clause_5,axiom,
    [--s2least(X1),
     --equalish(u1r2(X1),u1r1(X1))]).

input_clause(clause_6,axiom,
    [++s(X1,u1r1(X1)),
     --s2least(X1)]).

input_clause(clause_7,axiom,
    [++s(X1,u1r2(X1)),
     --s2least(X1)]).

input_clause(clause_8,axiom,
    [++s2least(X1),
     ++equalish(X3,X2),
     --s(X1,X3),
     --s(X1,X2)]).

input_clause(clause_9,axiom,
    [++s1most(X1),
     --d(X1)]).

input_clause(clause_10,axiom,
    [++d(X1),
     --s1most(X1)]).

input_clause(clause_11,axiom,
    [++equalish(X3,X2),
     --s1most(X1),
     --s(X1,X3),
     --s(X1,X2)]).

input_clause(clause_12,axiom,
    [++s1most(X1),
     --equalish(u3r2(X1),u3r1(X1))]).

input_clause(clause_13,axiom,
    [++s1most(X1),
     ++s(X1,u3r1(X1))]).

input_clause(clause_14,axiom,
    [++s1most(X1),
     ++s(X1,u3r2(X1))]).

input_clause(clause_15,axiom,
    [++d(u4r3(X1)),
     --e(X1)]).

input_clause(clause_16,axiom,
    [++r(X1,u4r3(X1)),
     --e(X1)]).

input_clause(clause_17,axiom,
    [++c(u4r2(X1)),
     --e(X1)]).

input_clause(clause_18,axiom,
    [++r(X1,u4r2(X1)),
     --e(X1)]).

input_clause(clause_19,axiom,
    [++r(X1,u4r1(X1)),
     --e(X1)]).

input_clause(clause_20,axiom,
    [++e(X1),
     --r(X1,X2),
     --r(X1,X3),
     --c(X3),
     --r(X1,X4),
     --d(X4)]).

input_clause(clause_21,axiom,
    [++r2least(X1),
     --f(X1)]).

input_clause(clause_22,axiom,
    [++f(X1),
     --r2least(X1)]).

input_clause(clause_23,axiom,
    [--r2least(X1),
     --equalish(u6r2(X1),u6r1(X1))]).

input_clause(clause_24,axiom,
    [++r(X1,u6r1(X1)),
     --r2least(X1)]).

input_clause(clause_25,axiom,
    [++r(X1,u6r2(X1)),
     --r2least(X1)]).

input_clause(clause_26,axiom,
    [++r2least(X1),
     ++equalish(X3,X2),
     --r(X1,X3),
     --r(X1,X2)]).
%--------------------------------------------------------------------------
