%--------------------------------------------------------------------------
% File     : KRS017-1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 7a
% Version  : Especial.
% English  : a subsumes e.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 7(a) [PP95]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   2 unit;   7 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   1 constant; 0-1 arity)
%            Number of variables  :   10 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exists)]).

input_clause(clause_2,conjecture,
    [--a(exists)]).

input_clause(clause_3,axiom,
    [++r(X1,u0r3(X1)),
     --e(X1)]).

input_clause(clause_4,axiom,
    [++a(X3),
     --e(X1),
     --r(X1,X2),
     --r(X3,X2)]).

input_clause(clause_5,axiom,
    [++e(X1),
     --a(u0r2(X1)),
     --r(X1,X4)]).

input_clause(clause_6,axiom,
    [++e(X1),
     ++r(u0r2(X1),u0r1(X1)),
     --r(X1,X4)]).

input_clause(clause_7,axiom,
    [++e(X1),
     ++r(X1,u0r1(X1)),
     --r(X1,X4)]).
%--------------------------------------------------------------------------
