%--------------------------------------------------------------------------
% File     : LCL098-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Left group)
% Problem  : LG-4 depends on LG-3
% Version  : [McC92b] axioms: Reduced > Complete.
% English  : Axiomatisations of the left group calculus are {LG-1, 
%            LG-2,LG-3,LG-4,LG-5} by Kalman, {LG-2,LG-3}, {LG-2,P-1}, 
%            {LG-2,P-4}, {LG-2,Q-1,Q-2}, {P-1,Q-3}, {P-4,Q-3}, {Q-1, 
%            Q-2,Q-3}, {Q-1,Q-3,Q-4}, {LG-27-1690} all by McCune. Show 
%            that LG-4 depends on LG-3.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92a] McCune (1992), Automated Discovery of New Axiomatisat
%          : [McC92b] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92b]
% Names    : LG-91 [MW92]

% Status   : unsatisfiable
% Rating   : 0.20 v2.2.1, 0.11 v2.2.0, 0.22 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :    7 (   0 singleton)
%            Maximal term depth   :    7 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(lg_3,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(equivalent(
equivalent(equivalent(X,Y),equivalent(X,Z)),U),equivalent(
equivalent(Y,Z),U)),V),V))]).

input_clause(prove_lg_4,conjecture,
    [--is_a_theorem(equivalent(equivalent(equivalent(
equivalent(a,b),c),e),equivalent(equivalent(equivalent(a,falsehood),c),
equivalent(equivalent(b,falsehood),e))))]).
%--------------------------------------------------------------------------
