%--------------------------------------------------------------------------
% File     : LCL109-4 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : [Bon91] (equality) axioms.
%            Theorem formulation : Wajsberg algebras lattice structure.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Lattice structure theorem 8 [Bon91]

% Status   : unsatisfiable
% Rating   : 0.89 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;   8 unit;   8 RR)
%            Number of literals   :   37 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure axioms 
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
input_clause(prove_mv_4,conjecture,
    [--equal(big_V(implies(x,y),implies(y,x)),true)]).
%--------------------------------------------------------------------------
