%--------------------------------------------------------------------------
% File     : SET001-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Set members are superset members
% Version  : [LS74] axioms.
% English  : A member of a set is also a member of that set's supersets.

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls100 [LS74]
%          : ls100 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   1 non-Horn;   3 unit;   8 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   13 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the member and subset axioms 
include('Axioms/SET001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_equals_bb,hypothesis,
    [++equal_sets(b,bb)]).

input_clause(element_of_b,hypothesis,
    [++member(element_of_b,b)]).

input_clause(prove_element_of_bb,conjecture,
    [--member(element_of_b,bb)]).
%--------------------------------------------------------------------------
