%--------------------------------------------------------------------------
% File     : SET037-4 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Properties of apply for functions, part 2 of 3
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 22 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  270 (  20 non-Horn;  16 unit; 168 RR)
%            Number of literals   :  633 ( 274 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   62 (   9 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_function,hypothesis,
    [++function(a_function)]).

input_clause(member_of_function_domain,hypothesis,
    [++member(a,domain_of(a_function))]).

input_clause(applying_the_function,hypothesis,
    [++equal(apply(a_function,a),b)]).

input_clause(prove_ordered_pair_in_function,conjecture,
    [--member(ordered_pair(a,b),a_function)]).
%--------------------------------------------------------------------------
