%--------------------------------------------------------------------------
% File     : SET087-6 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : A singleton set has a member, part 2
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  32 unit;  97 RR)
%            Number of literals   :  336 ( 163 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (   9 constant; 0-3 arity)
%            Number of variables  :  380 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_member_exists2_1,conjecture,
    [++member(y,universal_class)]).

input_clause(prove_member_exists2_2,conjecture,
    [--equal(singleton(member_of(singleton(y))),singleton(y))]).
%--------------------------------------------------------------------------
