%--------------------------------------------------------------------------
% File     : SET114-6 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : 2nd is unique if x is not an ordered pair of sets, part 1
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  163 (   8 non-Horn;  32 unit;  98 RR)
%            Number of literals   :  338 ( 165 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (   9 constant; 0-3 arity)
%            Number of variables  :  382 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(first1_substitution1,axiom,
    [--equal(A,B),
     ++equal(first1(A),first1(B))]).

input_clause(second1_substitution1,axiom,
    [--equal(C,D),
     ++equal(second1(C),second1(D))]).

input_clause(prove_unique_1st_and_2nd_in_pair_of_non_sets2_1,conjecture,
    [--member(ordered_pair(first1(x),second1(x)),
cross_product(universal_class,universal_class))]).

input_clause(prove_unique_2nd_in_pair_of_non_sets,conjecture,
    [--equal(second(x),x)]).
%--------------------------------------------------------------------------
