%--------------------------------------------------------------------------
% File     : SET117-6 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary 1 to every ordered pair being a set
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  96 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_ordered_pairs_are_sets_1,conjecture,
    [++equal(ordered_pair(first(x),second(x)),x)]).

input_clause(prove_corollary_1_to_ordered_pairs_are_sets_2,conjecture,
    [--member(x,universal_class)]).
%--------------------------------------------------------------------------
