%--------------------------------------------------------------------------
% File     : SET143+4 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Associativity of intersection 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   3 unit)
%            Number of atoms       :   78 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   47 (   2 ~  ;   2  |;  11  &)
%                                         (  10 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   87 (   0 singleton;  86 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI08,conjecture,(
    ! [A,B,C] : equal_set(intersection(intersection(A,B),C),
intersection(A,intersection(B,C)))   )).
%--------------------------------------------------------------------------
