%--------------------------------------------------------------------------
% File     : SYN080-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 58
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 58 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   5 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-1 arity)
%            Number of variables  :   12 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(g(C),g(D))]).

input_clause(clause_1,axiom,
    [++equal(f(X),g(Y))]).

input_clause(prove_this,conjecture,
    [--equal(f(f(a)),f(g(b)))]).
%--------------------------------------------------------------------------
