%--------------------------------------------------------------------------
% File     : SYN551+1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Syntactic (Translated)
% Problem  : Cute Little Problem
% Version  : Especial.
% English  : 

% Refs     : [Pra93] Prasetya (1993), How to get FAUST?
%          : [Jon93] Jones (1993), Little Problem, Solved by Otter
% Source   : [Pra93]
% Names    : 

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    8 (   8 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    7 (   0 ~  ;   0  |;   4  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :    3 (   0 singleton;   4 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : This is a HOL problem translated to FOF. The original HOL is
%            (?!x. x=f(g x)) = (?!y. y=g(f y)), where ?! means "there exists
%            a unique".
%--------------------------------------------------------------------------
input_formula(prove_this_cute_thing,conjecture,(
    ( ? [X] : equal(X,f(g(X)))
    & ! [Y,Z] : 
        ( ( equal(Y,f(g(Y)))
          & equal(Z,f(g(Z))) )
       => equal(Y,Z) ) )
<=> ( ? [X] : equal(X,g(f(X)))
    & ! [Y,Z] : 
        ( ( equal(Y,g(f(Y)))
          & equal(Z,g(f(Z))) )
       => equal(Y,Z) ) )   )).
%--------------------------------------------------------------------------
