%--------------------------------------------------------------------------
% File     : TOP015-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Topology
% Problem  : The interior and the boundary of a set are disjoint
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 10 [WM89]

% Status   : satisfiable
% Rating   : 0.75 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :  112 (  23 non-Horn;   3 unit; 107 RR)
%            Number of literals   :  339 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   38 (   4 constant; 0-5 arity)
%            Number of variables  :  357 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_10_148,conjecture,
    [++topological_space(cx,ct)]).

input_clause(problem_10_149,conjecture,
    [++subset_sets(a,cx)]).

input_clause(problem_10_150,conjecture,
    [--equal_sets(intersection_of_sets(interior(a,cx,ct),
boundary(a,cx,ct)),empty_set)]).
%--------------------------------------------------------------------------
