%--------------------------------------------------------------------------
% File     : GEO002-3 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Geometry (Tarskian)
% Axioms   : Substitution axioms for insertion axiom
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [Tar59] Tarski (1959), What is Elementary Geometry?
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   0 unit;   0 RR)
%            Number of literals   :    8 (   8 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 4-4 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(insertion_substitution1,axiom,
    [--equal(X,Y),
     ++equal(insertion(X,Z,A1,B1),insertion(Y,Z,A1,B1))]).

input_clause(insertion_substitution2,axiom,
    [--equal(C1,D1),
     ++equal(insertion(E1,C1,F1,G1),insertion(E1,D1,F1,G1))]).

input_clause(insertion_substitution3,axiom,
    [--equal(H1,I1),
     ++equal(insertion(J1,K1,H1,L1),insertion(J1,K1,I1,L1))]).

input_clause(insertion_substitution4,axiom,
    [--equal(M1,N1),
     ++equal(insertion(O1,P1,Q1,M1),insertion(O1,P1,Q1,N1))]).
%--------------------------------------------------------------------------
