%--------------------------------------------------------------------------
% File     : GRP002-0 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group theory (Monoids and Semigroups)
% Axioms   : Substitution axioms for semigroup axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   0 unit;   3 RR)
%            Number of literals   :   13 (   7 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : I cut down the [MOW76] group axioms for this.
%--------------------------------------------------------------------------
input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(product_substitution1,axiom,
    [--equal(X,Y),
     --product(X,W,Z),
     ++product(Y,W,Z)]).

input_clause(product_substitution2,axiom,
    [--equal(X,Y),
     --product(W,X,Z),
     ++product(W,Y,Z)]).

input_clause(product_substitution3,axiom,
    [--equal(X,Y),
     --product(W,Z,X),
     ++product(W,Z,Y)]).
%--------------------------------------------------------------------------
