%--------------------------------------------------------------------------
% File     : GRP003-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Axioms   : Substitution axioms for subgroup axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    1 (   0 non-Horn;   0 unit;   1 RR)
%            Number of literals   :    3 (   1 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    2 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : To be used in conjunction with group theory axioms.
%          : These axioms are used in [Wos88] p.187.
%--------------------------------------------------------------------------
input_clause(subgroup_member_substitution,axiom,
    [--equal(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).
%--------------------------------------------------------------------------
