%--------------------------------------------------------------------------
% File     : BOO001-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : In B3 algebra, inverse is an involution
% Version  : [OTTER] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [OTTER]
% Names    : tba_gg.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.12 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;   4 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-3 arity)
%            Number of variables  :   33 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include ternary Boolean algebra axioms 
include('Axioms/BOO001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_inverse_is_self_cancelling,conjecture,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------
