%--------------------------------------------------------------------------
% File     : BOO013-2 : TPTP v2.2.1. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob9.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.12 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  20 unit;   8 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clauses b_and_multiplicative_identity and
%            c_and_multiplicative_identity fixed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(b_and_multiplicative_identity,hypothesis,
    [++equal(add(a,b),multiplicative_identity)]).

input_clause(c_and_multiplicative_identity,hypothesis,
    [++equal(add(a,c),multiplicative_identity)]).

input_clause(b_a_additive_identity,hypothesis,
    [++equal(multiply(a,b),additive_identity)]).

input_clause(c_a_additive_identity,hypothesis,
    [++equal(multiply(a,c),additive_identity)]).

input_clause(prove_b_is_a,conjecture,
    [--equal(b,c)]).
%--------------------------------------------------------------------------
