%--------------------------------------------------------------------------
% File     : BOO016-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Relating product and sum (X * Y = Z -> X + Z = X)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.12 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   24 (   0 non-Horn;  17 unit;   5 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(x_times_y,hypothesis,
    [++equal(multiply(x,y),z)]).

input_clause(prove_sum,conjecture,
    [--equal(add(x,z),x)]).
%--------------------------------------------------------------------------
