%--------------------------------------------------------------------------
% File     : FLD033-1 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The multiplicative identity is unique
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   8 unit;  32 RR)
%            Number of literals   :   78 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(m_is_defined,conjecture,
    [++defined(m)]).

input_clause(a_not_equal_to_additive_identity_3,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(multiply_equals_a_4,conjecture,
    [++equalish(multiply(m,a),a)]).

input_clause(m_not_equal_to_multiplicative_identity_5,conjecture,
    [--equalish(m,multiplicative_identity)]).
%--------------------------------------------------------------------------
