%--------------------------------------------------------------------------
% File     : FLD033-3 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The multiplicative identity is unique
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.25 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   8 unit;  31 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(m_is_defined,conjecture,
    [++defined(m)]).

input_clause(not_sum_3,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(product_4,conjecture,
    [++product(m,a,a)]).

input_clause(not_product_5,conjecture,
    [--product(multiplicative_identity,m,multiplicative_identity)]).
%--------------------------------------------------------------------------
