%--------------------------------------------------------------------------
% File     : GEO066-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 3 to collinearity
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.22 v2.2.0, 0.44 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses    :   62 (   6 non-Horn;   9 unit;  33 RR)
%            Number of literals   :  154 (  73 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(u_between_v_and_w,hypothesis,
    [++between(v,u,w)]).

input_clause(prove_uvw_colinear,conjecture,
    [--colinear(u,v,w)]).
%--------------------------------------------------------------------------
