%--------------------------------------------------------------------------
% File     : KRS016-1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 5c
% Version  : Especial.
% English  : c and d exist.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 5(c) [PP95]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.33 v2.1.0
% Syntax   : Number of clauses    :   19 (   7 non-Horn;   2 unit;  15 RR)
%            Number of literals   :   49 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   1 constant; 0-1 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++c(exist)]).

input_clause(clause_2,conjecture,
    [++d(exist)]).

input_clause(clause_3,axiom,
    [++s(X1,X2),
     --c(X1),
     --r(X1,X2)]).

input_clause(clause_4,axiom,
    [++r(X1,X2),
     --c(X1),
     --s(X1,X2)]).

input_clause(clause_5,axiom,
    [++r1most(X1),
     --c(X1)]).

input_clause(clause_6,axiom,
    [++c(X1),
     ++s(X1,u0r1(X1)),
     ++r(X1,u0r1(X1)),
     --r1most(X1)]).

input_clause(clause_7,axiom,
    [++c(X1),
     --r1most(X1),
     --r(X1,u0r1(X1)),
     --s(X1,u0r1(X1))]).

input_clause(clause_8,axiom,
    [++equalish(X3,X2),
     --r1most(X1),
     --r(X1,X3),
     --r(X1,X2)]).

input_clause(clause_9,axiom,
    [++r1most(X1),
     --equalish(u1r2(X1),u1r1(X1))]).

input_clause(clause_10,axiom,
    [++r1most(X1),
     ++r(X1,u1r1(X1))]).

input_clause(clause_11,axiom,
    [++r1most(X1),
     ++r(X1,u1r2(X1))]).

input_clause(clause_12,axiom,
    [--d(X1),
     --r(X1,X2),
     --s(X1,X2)]).

input_clause(clause_13,axiom,
    [++s1most(X1),
     --d(X1)]).

input_clause(clause_14,axiom,
    [++d(X1),
     ++s(X1,u2r1(X1)),
     --s1most(X1)]).

input_clause(clause_15,axiom,
    [++d(X1),
     ++r(X1,u2r1(X1)),
     --s1most(X1)]).

input_clause(clause_16,axiom,
    [++equalish(X3,X2),
     --s1most(X1),
     --s(X1,X3),
     --s(X1,X2)]).

input_clause(clause_17,axiom,
    [++s1most(X1),
     --equalish(u3r2(X1),u3r1(X1))]).

input_clause(clause_18,axiom,
    [++s1most(X1),
     ++s(X1,u3r1(X1))]).

input_clause(clause_19,axiom,
    [++s1most(X1),
     ++s(X1,u3r2(X1))]).
%--------------------------------------------------------------------------
