%--------------------------------------------------------------------------
% File     : PRV004-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Program Verification
% Problem  : E3
% Version  : Especial.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SETHEO]
% Names    : E3 [MOW76]
%          : v3.lop [SETHEO]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   29 (   2 non-Horn;  14 unit;  23 RR)
%            Number of literals   :   53 (  21 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   6 constant; 0-1 arity)
%            Number of variables  :   37 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This problem was contributed to [MOW76] in private
%            correspondance from G. Ernst. The axioms are incomplete.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification 
include('Axioms/PRV001-0.ax').
include('Axioms/PRV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--less_than(n,j)]).

input_clause(clause_23,conjecture,
    [++less_than(k,j)]).

input_clause(clause_4,conjecture,
    [--less_than(k,i)]).

input_clause(clause_5,conjecture,
    [++less_than(i,n)]).

input_clause(clause_6,conjecture,
    [++less_than(a(j),a(k))]).

input_clause(clause_7,conjecture,
    [++less_than(a(q),a(k))]).

input_clause(clause_8,conjecture,
    [++less_than(X,i),
     --less_than(X,j),
     --less_than(a(X),a(k))]).

input_clause(clause_9,conjecture,
    [++less_than(X,i),
     ++less_than(n,X),
     --less_than(one,i),
     --less_than(a(X),a(predecessor(i)))]).

input_clause(clause_10,conjecture,
    [--less_than(one,X),
     --less_than(X,i),
     --less_than(a(X),a(predecessor(X)))]).

input_clause(clause_11,conjecture,
    [--less_than(q,i)]).

input_clause(clause_12,conjecture,
    [--less_than(j,q)]).
%--------------------------------------------------------------------------
