%--------------------------------------------------------------------------
% File     : RNG014-6 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : -X*Y = -(X*Y)
% Version  : [Ste87] (equality) axioms.
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [Ste87]
% Names    : c17 [Ste87]

% Status   : unsatisfiable
% Rating   : 0.12 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   3 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_equation,conjecture,
    [--equal(multiply(a,additive_inverse(b)),additive_inverse(
multiply(a,b)))]).
%--------------------------------------------------------------------------
