%--------------------------------------------------------------------------
% File     : ROB008-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(a + -(b + c)) = -(a + b + -c) then a+b=a
% Version  : [Win90] (equality) axioms.
% English  : 

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.1 [Win90]

% Status   : unsatisfiable
% Rating   : 0.38 v2.2.1, 0.44 v2.2.0, 0.43 v2.1.0, 0.62 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   5 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(a,negate(add(b,c)))),negate(add(a,add(b,
negate(c)))))]).

input_clause(prove_result,conjecture,
    [--equal(add(a,b),a)]).
%--------------------------------------------------------------------------
