%--------------------------------------------------------------------------
% File     : SET006-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Set Theory
% Problem  : A = A ^ B if A (= B
% Version  : [LS74] axioms.
% English  : If the intersection of two sets is the first of the two sets, 
%            then the first is a subset of the second.

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls111 [LS74]
%          : ls111 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   14 (   3 non-Horn;   2 unit;  11 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   2 constant; 0-3 arity)
%            Number of variables  :   34 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the member and subset axioms 
include('Axioms/SET001-0.ax').
%----Include the member and intersection axioms 
include('Axioms/SET001-2.ax').
%--------------------------------------------------------------------------
input_clause(d_intersection_a_is_d,hypothesis,
    [++intersection(d,a,d)]).

input_clause(prove_d_is_a_subset_of_a,conjecture,
    [--subset(d,a)]).
%--------------------------------------------------------------------------
