%--------------------------------------------------------------------------
% File     : SYN073-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 50
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 50 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   2 unit;   6 RR)
%            Number of literals   :   17 (  10 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :   17 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(C,D),
     --big_f(C,E),
     ++big_f(D,E)]).

input_clause(big_f_substitutivity2,axiom,
    [--equal(F,G),
     --big_f(H,F),
     ++big_f(H,G)]).

input_clause(clause_1,conjecture,
    [++big_f(a,X),
     ++big_f(X,Y)]).

input_clause(prove_this,conjecture,
    [--big_f(X,f(X))]).
%--------------------------------------------------------------------------
