%--------------------------------------------------------------------------
% File     : SYN318-1 : TPTP v2.2.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (4)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch2N4 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    2 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(X),
     --f(b),
     ++g(X)]).

input_clause(clause2,conjecture,
    [++p(a)]).

input_clause(clause3,conjecture,
    [++f(X)]).

input_clause(clause4,conjecture,
    [--g(b)]).
%--------------------------------------------------------------------------
