%--------------------------------------------------------------------------
% File     : SYN320+1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.3 (1)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
% Source   : [Chu56]
% Names    : 46.3 (1) [Chu56]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    4 (   1 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   2 singleton;   2 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : The free variable is existentially quantified. Based on CNF.
%--------------------------------------------------------------------------
input_formula(church_46_3_1,conjecture,(
    ? [Z,X] : 
    ! [Y1,Y2] : 
      ( ( ~ big_f(X,Z)
       => big_f(Z,Y1) )
     => ( big_f(Y2,Z)
       => big_f(Z,Y2) ) )   )).
%--------------------------------------------------------------------------
